[arch-commits] Commit in parted/trunk (PKGBUILD parted-1.9.0.patch)

Andrea Scarpino andrea at archlinux.org
Wed Jun 9 21:52:55 EDT 2010


    Date: Wednesday, June 9, 2010 @ 21:52:54
  Author: andrea
Revision: 82289

upgpkg: parted 2.3-1
upstream release

Modified:
  parted/trunk/PKGBUILD
Deleted:
  parted/trunk/parted-1.9.0.patch

--------------------+
 PKGBUILD           |   13 ++++++++-----
 parted-1.9.0.patch |   30 ------------------------------
 2 files changed, 8 insertions(+), 35 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-09 23:24:06 UTC (rev 82288)
+++ PKGBUILD	2010-06-10 01:52:54 UTC (rev 82289)
@@ -3,7 +3,7 @@
 # Contributor: Aaron Griffin <aaron at archlinux.org>
 
 pkgname=parted
-pkgver=2.2
+pkgver=2.3
 pkgrel=1
 pkgdesc="A program for creating, destroying, resizing, checking and copying partitions"
 arch=('i686' 'x86_64')
@@ -11,9 +11,9 @@
 url="http://www.gnu.org/software/parted/parted.html"
 depends=('device-mapper' 'e2fsprogs')
 options=('!libtool')
-install=parted.install
-source=(ftp://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz)
-md5sums=('9c262afd6673d7724a60b7c632ce80fa')
+install=${pkgname}.install
+source=("http://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz")
+md5sums=('30ceb6df7e8681891e865e2fe5a7903d')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
@@ -22,7 +22,10 @@
               --disable-debug \
               --disable-rpath \
               --disable-Werror || return 1
+  make || return 1
+}
 
-  make || return 1
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
   make DESTDIR="${pkgdir}" install || return 1
 }

Deleted: parted-1.9.0.patch
===================================================================
--- parted-1.9.0.patch	2010-06-09 23:24:06 UTC (rev 82288)
+++ parted-1.9.0.patch	2010-06-10 01:52:54 UTC (rev 82289)
@@ -1,30 +0,0 @@
---- a/libparted/disk.c	2009-07-23 10:52:08.000000000 -0700
-+++ b/libparted/disk.c	2009-12-02 23:53:24.000000000 -0800
-@@ -489,9 +489,25 @@
- int
- ped_disk_commit (PedDisk* disk)
- {
-+        /* Open the device here, so that the underlying fd is not closed
-+           between commit_to_dev and commit_to_os (closing causes unwanted
-+           udev events to be sent under Linux). */
-+	if (!ped_device_open (disk->dev))
-+		goto error;
-+
- 	if (!ped_disk_commit_to_dev (disk))
--		return 0;
--	return ped_disk_commit_to_os (disk);
-+		goto error_close_dev;
-+
-+	if (!ped_disk_commit_to_os (disk))
-+		goto error_close_dev;
-+
-+	ped_device_close (disk->dev);
-+	return 1;
-+
-+error_close_dev:
-+	ped_device_close (disk->dev);
-+error:
-+	return 0;
- }
- 
- /**



More information about the arch-commits mailing list